# Form implementation generated from reading ui file 'src/eric7/EricWidgets/EricPlainTextDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricPlainTextDialog(object):
    def setupUi(self, EricPlainTextDialog):
        EricPlainTextDialog.setObjectName("EricPlainTextDialog")
        EricPlainTextDialog.resize(650, 600)
        EricPlainTextDialog.setWindowTitle("")
        EricPlainTextDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EricPlainTextDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.textEdit = EricSpellCheckedPlainTextEdit(parent=EricPlainTextDialog)
        self.textEdit.setReadOnly(True)
        self.textEdit.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.TextSelectableByKeyboard|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.textEdit.setObjectName("textEdit")
        self.verticalLayout.addWidget(self.textEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricPlainTextDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EricPlainTextDialog)
        self.buttonBox.accepted.connect(EricPlainTextDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricPlainTextDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricPlainTextDialog)

    def retranslateUi(self, EricPlainTextDialog):
        pass
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedPlainTextEdit
